Package org.eclipse.birt.report.model.api.util

# Class CubeUtil

java.lang.Object
org.eclipse.birt.report.model.api.util.CubeUtil

public class CubeUtil extends Object
Utility class to provide some methods about cube.

## Constructor Summary

Constructors
Constructor
Description
`CubeUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getFullLevelName(String dimensionName, String levelName)`
Gets the full name of the level element.
`static String[]`
`splitLevelName(String levelName)`
Splits a full name of the level element to a `String` array of length 2.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CubeUtil

public CubeUtil()

## Method Details

### splitLevelName

public static String[] splitLevelName(String levelName)
Splits a full name of the level element to a `String` array of length 2. The first member of the array is the name of the dimension element and the second is the name of the level element.

Parameters:
  `levelName` -
Returns:
  an string array.

### getFullLevelName

public static String getFullLevelName(String dimensionName, String levelName)
Gets the full name of the level element.

Parameters:
  `dimensionName` - the dimension name
  `levelName` - the short level name
Returns:
  the full level name